C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**** print the result file :                                       ***
C**   ----------------------                                        ***
C**                                                                 ***
        IF (MYPROC.NE.1) THEN
          IVEM(23)=LOUT
          IVEM(24)=0
        ELSE
	  IVEM(23)=10+SET
          IVEM(24)=2
	  WRITE(IVEM(23),2001) T
2001      FORMAT('solution at time ',G10.5)
        ENDIF
        IVEM(25)=IVEM(32)
        IVEM(26)=IVEM(33)
      
        CALL VEMU13(LUG,RBIG(UG),NORMU,LIVEM,IVEM,
     &              LNEK,NEK,LRPARM,RPARM,LIPARM,IPARM,
     &              LDNOD,DNOD,LRDPRM,RDPARM,LIDPRM,
     &              IDPARM,LNODN,NODNUM,LNOD,NOD,LNOPRM,NOPARM,
     &              LBIG2,RBIG(RBIG2),IBIG(IBIG2))
        IF (IVEM(2).NE.0) GOTO 9999
	NAME=FILE(SET)
	IF (MYPROC.EQ.1) WRITE(1,3030) TCOUNT,T,SET,IVEM(33),
     &                          TITLE(SET),NAME(:INDEX(NAME,' '))
